package domain

type AlibabaHmMarketingItempoolActivityCreateCapCountDiscountRule struct {
	/*
	   指定件数每件一口价【分】     */
	CapCountEachFixPrice *int64 `json:"cap_count_each_fix_price,omitempty" `

	/*
	   指定件数整体打几折【600=6折】     */
	CapCountDiscountRate *int64 `json:"cap_count_discount_rate,omitempty" `

	/*
	   指定件数整体减钱【分】     */
	CapCountDecreaseMoney *int64 `json:"cap_count_decrease_money,omitempty" `

	/*
	   指定件数整体一口价【分】     */
	CapCountFixPrice *int64 `json:"cap_count_fix_price,omitempty" `

	/*
	   是否指定件数整体一口价     */
	IsCapCountFixPrice *bool `json:"is_cap_count_fix_price,omitempty" `

	/*
	   是否指定件数整体减钱     */
	IsCapCountDecreaseMoney *bool `json:"is_cap_count_decrease_money,omitempty" `

	/*
	   是否指定件数整体打折     */
	IsCapCountDiscountRate *bool `json:"is_cap_count_discount_rate,omitempty" `

	/*
	   是否指定件数每件一口价     */
	IsCapCountEachFixPrice *bool `json:"is_cap_count_each_fix_price,omitempty" `
}

func (s *AlibabaHmMarketingItempoolActivityCreateCapCountDiscountRule) SetCapCountEachFixPrice(v int64) *AlibabaHmMarketingItempoolActivityCreateCapCountDiscountRule {
	s.CapCountEachFixPrice = &v
	return s
}
func (s *AlibabaHmMarketingItempoolActivityCreateCapCountDiscountRule) SetCapCountDiscountRate(v int64) *AlibabaHmMarketingItempoolActivityCreateCapCountDiscountRule {
	s.CapCountDiscountRate = &v
	return s
}
func (s *AlibabaHmMarketingItempoolActivityCreateCapCountDiscountRule) SetCapCountDecreaseMoney(v int64) *AlibabaHmMarketingItempoolActivityCreateCapCountDiscountRule {
	s.CapCountDecreaseMoney = &v
	return s
}
func (s *AlibabaHmMarketingItempoolActivityCreateCapCountDiscountRule) SetCapCountFixPrice(v int64) *AlibabaHmMarketingItempoolActivityCreateCapCountDiscountRule {
	s.CapCountFixPrice = &v
	return s
}
func (s *AlibabaHmMarketingItempoolActivityCreateCapCountDiscountRule) SetIsCapCountFixPrice(v bool) *AlibabaHmMarketingItempoolActivityCreateCapCountDiscountRule {
	s.IsCapCountFixPrice = &v
	return s
}
func (s *AlibabaHmMarketingItempoolActivityCreateCapCountDiscountRule) SetIsCapCountDecreaseMoney(v bool) *AlibabaHmMarketingItempoolActivityCreateCapCountDiscountRule {
	s.IsCapCountDecreaseMoney = &v
	return s
}
func (s *AlibabaHmMarketingItempoolActivityCreateCapCountDiscountRule) SetIsCapCountDiscountRate(v bool) *AlibabaHmMarketingItempoolActivityCreateCapCountDiscountRule {
	s.IsCapCountDiscountRate = &v
	return s
}
func (s *AlibabaHmMarketingItempoolActivityCreateCapCountDiscountRule) SetIsCapCountEachFixPrice(v bool) *AlibabaHmMarketingItempoolActivityCreateCapCountDiscountRule {
	s.IsCapCountEachFixPrice = &v
	return s
}
